/*
 * Esta clase sirve para clasificar las manos
 * */

package mejorCombinacion;

import com.roshka.bootcamp004.mano.Carta;
import com.roshka.bootcamp004.poker.*;

public class ClasificadorMano extends Poker{
	
	
	public int mejorJugadaNumero(Carta[] mano)
	{
		//Ponemos como predeterminado que la mano es Carta Alta
		int resultado = 8;
		//Realizamos la comprobaciones
		if(this.esEscaleraColor(mano)) {
			resultado = 0;
		}else if(this.esPoker(mano)) {
			resultado = 1;
		}else if(this.esFull(mano)) {
			resultado = 2;
		}else if(this.esColor(mano)) {
			resultado = 3;
		}else if(this.esEscalera(mano)) {
			resultado = 4;
		}else if(this.esTrio(mano)) {
			resultado = 5;
		}else if(this.esParDoble(mano)) {
			resultado = 6;
		}else if(this.esPar(mano)){
			resultado = 7;
		}
		return resultado;
	}
	
	public String obtenerStringMano(int entrada) {
		return this.jugadas[entrada];
	}
}
